#
# spec file for package chemtool
#
# Copyright (c) 2014 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         name0 cht
Name:           chemtool
Version:        1.6.14
Release:        2.2
Summary:        Program for Drawing 2D Organic Molecules
License:        GPL-2.0+
Group:          Productivity/Graphics/Other
Url:            http://ruby.chemie.uni-freiburg.de/~martin/chemtool/
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch1:         %{name}-%{version}-mime.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch2:         %{name}-%{version}-memmove.patch
BuildRequires:  gtk2-devel
BuildRequires:  shared-mime-info
BuildRequires:  update-desktop-files
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         shared-mime-info
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1210
BuildRequires:  libXext-devel
%endif

%description
Chemtool is a program for drawing organic molecules easily and storing
them as an X bitmap, Xfig, or EPS file. It runs under the X Window
System using the GTK widget set.

%prep
%setup -q
%patch1
%patch2

%build
# to convince configure to install also gnome stuff
%configure \
    --with-gnomedir=%{_prefix} \
    --enable-undo \
    --disable-rpath \
    --enable-menu
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -Dm 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -Dm 644 gnome/gnome-application-%{name}.png %{buildroot}%{_datadir}/pixmaps/gnome-application-%{name}.png
DESTDIR=%{buildroot} mime-info-to-mime
%suse_update_desktop_file %{name} Chemistry
%find_lang %{name}
strip %{buildroot}%{_bindir}/*

%post
if [ -x usr/bin/update-mime-database ]; then
	usr/bin/update-mime-database %{_datadir}/mime >/dev/null
fi

%postun
if [ -x usr/bin/update-mime-database ]; then
	usr/bin/update-mime-database %{_datadir}/mime >/dev/null
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README TODO ChangeLog
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man1/%{name0}.1*
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/gnome-application-%{name}.png

%changelog
* Sun Dec 28 2014 lars@linux-schulserver.de
- update to 1.6.14:
  + This is just an interim release to fix a crash bug in all output
    modes based on fig2dev.
  + Also included is an update to the build scripts to facilitate
    building on ARM64 targets, and autodetection of recent versions
    of openbabel for im/export should work again
- specfile cleanup using spec-cleaner
- refreshed patches
* Fri Aug 24 2012 lars@linux-schulserver.de
- update to 1.6.13:
  + New export option "ASY" for Asymptote files
  + Added support for Unicode symbol characters inserted e.g. by
    cut-and-paste from LibreOffice
  + Fixed crash on startup due to errors in menu icon setup
  + Batch mode could crash due to incomplete initialisation of
    color arrays
  + Undo/redo in "move fragment"-mode did not work as intended
  + Default extension is now appended to the save filename as needed
  + Fixed exporting to files or directories containing spaces in
    their names
- removed upstreamed patches
  + chemtool-1.6.12-fix_segfault_at_startup.patch and
  + chemtool-1.6.12-x11linker.patch
- added enable-undo, disable-rpath and enable-menu to configure
* Thu Dec 15 2011 lijewski.stefan@gmail.com
- fix build on openSUSE-12.1 using patch
  from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=554084
- fix segmentation fault on startup
* Sat Aug  1 2009 lars@linux-schulserver.de
- update to 1.6.12:
  + This release contains another round of fixes for label
    positioning and clipping of bonds around labels.
  + The pen color button has been replaced by a drop-down menu,
    and a "white" pen for drawing on colored backgrounds has
    been added.
  + Chemtool now automatically resizes its main window on small
    (netbook) screens, and it can also be used in an non-interactive
    mode to create postscript (etc.) output from previously created
    chemtool structure files (/usr/bin/chemtoolbg).
  + The Polish translation has been updated, and a new Bulgarian
    translation has been added.
* Sat Jan 17 2009 lrupp@suse.de
- maintained now by openSUSE-Education Team
* Mon Sep 22 2008 lrupp@suse.de
- fix some rpmlint warnings and beautify specfile
* Wed Feb 27 2008 anosek@suse.cz
- updated to version 1.6.11
  - Key sequences @+ and @- now generate "circle" variants of plus and minus signs
  - Bond length and zoom factor are now saved in chemtool files and restored on loading
  - Corrected length calculation for labels without sub- or superscripts (thereby fixing
    truncation of labels near the edges of a drawing)
  - Corrected positioning and inter-character spacing of labels with sub- or superscripts
  - Changed OpenOffice output to avoid LaTeX formatting (that fig2sxd does not support)
  - Improved clipping of double and triple bonds around labels in the screen view
  - Improved the preview function to cope with older (pre-1.6) chemtool files
  - The "gtklp" frontend for CUPS is now available from the "print command" menu
  - Updated documentation
- dropped patch (Makefile.diff)
* Wed Apr 25 2007 anosek@suse.cz
- updated to version 1.6.10
  - Added a "round parentheses" option to the bracket tool.
  - Added export to PNG (through fig2dev/gs).
  - Added template entries for morphine and several diazoles.
  - Improved truncation of bonds around labels in the screen view.
  - Redesigned Configuration dialogs.
  - XFig and related export modes now support text in non-western
    european character sets ("Times" font only) through fig2dev's
    "international" option.
  - The KDE "kprinter" frontend is now available from the "print command"
    configuration dialog
  - Cleanup no longer removes drop shadows from boxes
  - Fixed a potential crash with non-ascii characters in labels (including
    electron-pair dots) and gtk2.
  - Fixed menu shortcuts getting intercepted by the labeling shortcut mechanism.
  - Fixed width of arrowheads in ps/eps.
  - Fixed superscript position, national characters and arrowhead size in SVG.
  - Fixed a bug in SVG export that could truncate labels in subsequent save or
    export actions.
- removed obsolete zoom.diff
* Wed Jan 17 2007 anosek@suse.cz
- changed prefix /opt/gnome -> /usr
* Tue Dec  5 2006 prusnak@suse.cz
- fixed comparison with string literal [#224840]
* Fri Nov 10 2006 ro@suse.de
- fix manpage permissions
* Thu Aug  3 2006 anosek@suse.cz
- updated to 1.6.9
  - Fixed placement of right-justified labels containing sub-
    and/or superscripts on screen and in all XFig-based export modes.
  - Worked around a bug in fig2dev that prevented creation of EMF files
  - Improved spacing of sub/superscripted labels in GTK2 builds
  - Corrected line spacing of triple and quadruple bonds.
- removed not existing .desktop category Edutainment
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan  5 2006 mmarek@suse.cz
- update to 1.6.8
* Tue Oct 25 2005 mmarek@suse.cz
- correctly fix #122542 (thanks to rguenther@suse.de)
* Tue Oct 18 2005 mmarek@suse.cz
- updated to 1.6.7
- build with gtk2
- added workaround for some gcc-4.0 bug [#122542] to be able to test
  the package
* Mon Jun 13 2005 ro@suse.de
- avoid redefining memcpy
* Tue Apr 12 2005 ltinkl@suse.cz
- update to 1.6.6
* Tue Sep  7 2004 sbrabec@suse.cz
- Generated shared mime info.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Thu Sep 25 2003 meissner@suse.de
- fixed undo_* prototypes, fixing #31724
* Sat Aug 16 2003 adrian@suse.de
- add desktop file
* Wed Jul  9 2003 ltinkl@suse.cz
- updated sources to version 1.6
- fixed Gnome-related files installation
- use %%find_lang macro
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Thu Mar 21 2002 tcrhak@suse.cz
- moved ChangeLog, TODO and README to %%{_docdir}/%%{_name}-%%{_version}
* Fri Oct 26 2001 tcrhak@suse.cz
- New package: initial version 1.4.1
